- Main Page
- Related Pages
- Namespaces
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# Cairo::GlitzSurface Class Reference

A GlitzSurface provides a way to render to the X Window System using Glitz. More...

Inheritance diagram for Cairo::GlitzSurface:
[legend]

List of all members.

## Public Member Functions
| GlitzSurface (cairo_surface_t*cobject, bool has_reference=false)
| Create a C++ wrapper for the C instance.
virtual | ~GlitzSurface ()
## Static Public Member Functions
static RefPtr< GlitzSurface > | create (glitz_surface_t* surface)
| Creates a new GlitzSurface.

## Detailed Description

A GlitzSurface provides a way to render to the X Window System using Glitz.

This provides a way to use OpenGL-accelerated graphics from cairo. If you want to use hardware-accelerated graphics within the X Window system, you should use this Surface type.

Note:
  For this Surface to be available, cairo must have been compiled with Glitz support

Warning:
  This is an experimental surface. It is not yet marked as a fully supported surface by the cairo library

## Constructor & Destructor Documentation

Cairo::GlitzSurface::GlitzSurface | ( | cairo_surface_t * | cobject,
|  | bool | has_reference = `false`
| ) |  | `[explicit]`

Create a C++ wrapper for the C instance.

This C++ instance should then be given to a RefPtr.

Parameters:

  cobject | The C instance.
  has_reference | whether we already have a reference. Otherwise, the constructor will take an extra reference.

virtual Cairo::GlitzSurface::~GlitzSurface | ( |  | ) | `[virtual]`

## Member Function Documentation

static RefPtr<GlitzSurface> Cairo::GlitzSurface::create | ( | glitz_surface_t * | surface | ) | `[static]`

Creates a new GlitzSurface.

Parameters:

  surface | a glitz surface type

The documentation for this class was generated from the following file:

- cairomm/surface.h